# PetscLogStageGetActive

Returns stage activity for PetscLogEventBegin() and PetscLogEventEnd().

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogStageGetActive(int stage, PetscTruth *isActive)

Not Collective

### Input Parameter

stage -The stage

### Output Parameter

isActive -The activity flag, PETSC_TRUE for logging, else PETSC_FALSE (defaults to PETSC_TRUE)

### See Also

PetscLogStagePush(), PetscLogStagePop(), PetscLogEventBegin(), PetscLogEventEnd(), PreLoadBegin(), PreLoadEnd(), PreLoadStage()

Level:intermediate
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages